#if !defined(AFX_COLORPROPS_H__6F8DDFA4_509E_11D3_8B36_00902712C9AE__INCLUDED_)
#define AFX_COLORPROPS_H__6F8DDFA4_509E_11D3_8B36_00902712C9AE__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// ColorProps.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CColorProps dialog


class CColorProps : public CDialog
{
// Construction
public:
	void UpdateBitmaps();
	CColorProps(CWnd* pParent = NULL);   // standard constructor
COLORREF Selection,Grid,Wire,WireHL,Box;
CBitmap SelBmp,GridBmp,WireBmp,WireHLBmp,BoxBmp;

	 // Dialog Data
	//{{AFX_DATA(CColorProps)
	enum { IDD = IDD_COLORPROPS };
	CStatic	m_wfimg;
	CStatic	m_hlimg;
	CStatic	m_gcimg;
	CStatic	m_selimg;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CColorProps)
	public:
	virtual int DoModal();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CColorProps)
	afx_msg void OnGcmod();
	afx_msg void OnHlmod();
	afx_msg void OnSelmod();
	afx_msg void OnWfmod();
	afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	virtual BOOL OnInitDialog();
	virtual void OnOK();
	afx_msg void OnPaint();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_COLORPROPS_H__6F8DDFA4_509E_11D3_8B36_00902712C9AE__INCLUDED_)
